Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 2840593002: Remove usage of ScopedTaskScheduler. (Closed)

Created:
1 year, 10 months ago by fdoray
Modified:
1 year, 10 months ago
CC:
chromium-reviews, yusukes+watch_chromium.org, posciak+watch_chromium.org, nasko+codewatch_chromium.org, scheib+watch_chromium.org, ortuno+watch_chromium.org, piman+watch_chromium.org, stevenjb+watch_chromium.org, lcwu+watch_chromium.org, jam, nona+watch_chromium.org, darin-cc_chromium.org, halliwell+watch_chromium.org, gogerald+paymentswatch_chromium.org, creis+watch_chromium.org, rouslan+payments_chromium.org, oshima+watch_chromium.org, alokp+watch_chromium.org, feature-media-reviews_chromium.org, shuchen+watch_chromium.org, mac-reviews_chromium.org, mahmadi+paymentswatch_chromium.org, James Su, sebsg+paymentswatch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove usage of ScopedTaskScheduler. This CL removes usage of ScopedTaskScheduler in tests where that doesn't require too much refactoring. ScopedTaskScheduler has been deprecated in favor of ScopedTaskEnvironment. BUG=708584 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_site_isolation;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel TBR=sky@chromium.org, alokp@chromium.org, stevenjb@chromium.org, hajimehoshi@chromium.org, jam@chromium.org, scheib@chromium.org, chcunningham@chromium.org Review-Url: https://codereview.chromium.org/2840593002 Cr-Commit-Position: refs/heads/master@{#470003} Committed: https://chromium.googlesource.com/chromium/src/+/e324edd539822b440ee78bd375f8dc0e284f39b6

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : rebase #

Total comments: 16

Patch Set 4 : CR-gab-13 #

Patch Set 5 : self-review #

Patch Set 6 : self-review #

Patch Set 7 : self-review #

Patch Set 8 : self-review #

Total comments: 1

Patch Set 9 : CR-gab-27 #

Patch Set 10 : revert_client_cert_resolver_and_auto_connect_handler #

Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -53 lines) Patch
M chrome/browser/conflicts/module_database_win_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/conflicts/module_event_sink_impl_win_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/mac/keystone_glue_unittest.mm View 2 chunks +2 lines, -2 lines 0 comments Download
M chromecast/media/cma/backend/audio_video_pipeline_device_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M chromeos/disks/disk_mount_manager_unittest.cc View 1 2 3 3 chunks +5 lines, -5 lines 0 comments Download
M components/translate/core/browser/translate_ranker_impl_unittest.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M content/browser/frame_host/render_widget_host_view_child_frame_unittest.cc View 1 2 3 4 5 6 7 8 4 chunks +8 lines, -9 lines 0 comments Download
M content/browser/frame_host/render_widget_host_view_guest_unittest.cc View 1 2 3 4 chunks +8 lines, -8 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_view_mac_editcommand_helper_unittest.mm View 2 chunks +2 lines, -4 lines 0 comments Download
M content/browser/renderer_host/text_input_client_mac_unittest.mm View 1 2 3 3 chunks +4 lines, -6 lines 0 comments Download
M device/bluetooth/bluez/bluetooth_adapter_profile_bluez_unittest.cc View 1 2 3 4 5 6 7 8 9 2 chunks +2 lines, -2 lines 0 comments Download
M media/base/demuxer_perftest.cc View 2 chunks +2 lines, -3 lines 0 comments Download
M media/gpu/video_decode_accelerator_unittest.cc View 1 2 3 4 5 6 7 2 chunks +4 lines, -5 lines 0 comments Download

Messages

Total messages: 59 (42 generated)
fdoray
PTAL
1 year, 10 months ago (2017-05-01 18:28:53 UTC) #12
gab
https://codereview.chromium.org/2840593002/diff/40001/chromeos/disks/disk_mount_manager_unittest.cc File chromeos/disks/disk_mount_manager_unittest.cc (left): https://codereview.chromium.org/2840593002/diff/40001/chromeos/disks/disk_mount_manager_unittest.cc#oldcode486 chromeos/disks/disk_mount_manager_unittest.cc:486: base::MessageLoopForUI message_loop_; ForUI not matched? https://codereview.chromium.org/2840593002/diff/40001/chromeos/network/auto_connect_handler_unittest.cc File chromeos/network/auto_connect_handler_unittest.cc (left): ...
1 year, 10 months ago (2017-05-01 19:05:04 UTC) #13
fdoray
Please take another look https://codereview.chromium.org/2840593002/diff/40001/chromeos/disks/disk_mount_manager_unittest.cc File chromeos/disks/disk_mount_manager_unittest.cc (left): https://codereview.chromium.org/2840593002/diff/40001/chromeos/disks/disk_mount_manager_unittest.cc#oldcode486 chromeos/disks/disk_mount_manager_unittest.cc:486: base::MessageLoopForUI message_loop_; On 2017/05/01 19:05:03, ...
1 year, 10 months ago (2017-05-03 17:38:14 UTC) #25
gab
lgtm w/ nit https://codereview.chromium.org/2840593002/diff/140001/content/browser/frame_host/render_widget_host_view_child_frame_unittest.cc File content/browser/frame_host/render_widget_host_view_child_frame_unittest.cc (right): https://codereview.chromium.org/2840593002/diff/140001/content/browser/frame_host/render_widget_host_view_child_frame_unittest.cc#newcode141 content/browser/frame_host/render_widget_host_view_child_frame_unittest.cc:141: // TaskScheduler is used by RenderWidgetHostImpl ...
1 year, 10 months ago (2017-05-03 17:43:06 UTC) #27
fdoray
Please review changes: sky@chromium.org: chrome/ alokp@chromium.org: chromecast/ achuith@chromium.org: chromeos/ hajimehoshi@chromium.org: components/translate/ jam@chromium.org: content/ scheib@chromium.org: device/ ...
1 year, 10 months ago (2017-05-03 18:07:23 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2840593002/160001
1 year, 10 months ago (2017-05-03 18:08:49 UTC) #38
fdoray
Please take a look. sky@chromium.org: chrome/ alokp@chromium.org: chromecast/ stevenjb@chromium.org: chromeos/ hajimehoshi@chromium.org: components/translate/ jam@chromium.org: content/ scheib@chromium.org: ...
1 year, 10 months ago (2017-05-03 18:08:59 UTC) #39
halliwell
On 2017/05/03 18:08:59, fdoray wrote: > Please take a look. > > mailto:sky@chromium.org: chrome/ > ...
1 year, 10 months ago (2017-05-03 18:12:33 UTC) #40
chcunningham
media LGTM
1 year, 10 months ago (2017-05-03 18:17:11 UTC) #41
stevenjb
lgtm
1 year, 10 months ago (2017-05-03 18:34:34 UTC) #42
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/375773)
1 year, 10 months ago (2017-05-03 18:55:03 UTC) #44
scheib
lgtm
1 year, 10 months ago (2017-05-04 00:14:55 UTC) #45
sky
LGTM
1 year, 10 months ago (2017-05-04 02:19:37 UTC) #46
jam
lgtm
1 year, 10 months ago (2017-05-04 20:23:34 UTC) #47
hajimehoshi
lgtm
1 year, 10 months ago (2017-05-08 05:34:30 UTC) #48
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2840593002/180001
1 year, 10 months ago (2017-05-08 14:51:25 UTC) #56
commit-bot: I haz the power
1 year, 10 months ago (2017-05-08 16:22:05 UTC) #59
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/e324edd539822b440ee78bd375f8...

Powered by Google App Engine
This is Rietveld 408576698